aboutsummaryrefslogtreecommitdiffstats
path: root/community/libftdi1
diff options
context:
space:
mode:
authorStefan Wagner <stw@bit-strickerei.de>2016-08-18 20:01:37 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-18 21:21:06 +0200
commit2f2883cc10692bcb0db5997907b081268fad8d79 (patch)
treed81d38b511465f265bd65324bb46fdfeee4749e6 /community/libftdi1
parentbe6dec1f57e2315d6b3e04d81be7d2220edbdf7f (diff)
downloadaports-2f2883cc10692bcb0db5997907b081268fad8d79.tar.gz
aports-2f2883cc10692bcb0db5997907b081268fad8d79.tar.bz2
aports-2f2883cc10692bcb0db5997907b081268fad8d79.tar.xz
testing/[various]: move to community
Diffstat (limited to 'community/libftdi1')
-rw-r--r--community/libftdi1/01-CMakeLists-no-lib-suffix.patch11
-rw-r--r--community/libftdi1/APKBUILD38
2 files changed, 49 insertions, 0 deletions
diff --git a/community/libftdi1/01-CMakeLists-no-lib-suffix.patch b/community/libftdi1/01-CMakeLists-no-lib-suffix.patch
new file mode 100644
index 0000000000..cdfdc69919
--- /dev/null
+++ b/community/libftdi1/01-CMakeLists-no-lib-suffix.patch
@@ -0,0 +1,11 @@
+--- a/CMakeLists.txt 2014-11-21 17:42:17.000000000 +0100
++++ b/CMakeLists.txt 2016-05-22 23:04:12.640297140 +0200
+@@ -55,7 +55,7 @@
+ AND NOT EXISTS "/etc/debian_version"
+ AND NOT EXISTS "/etc/arch-release" )
+ if ( "${CMAKE_SIZEOF_VOID_P}" EQUAL "8" )
+- set ( LIB_SUFFIX 64 )
++ set ( LIB_SUFFIX "" )
+ endif ()
+ endif ()
+ endif ()
diff --git a/community/libftdi1/APKBUILD b/community/libftdi1/APKBUILD
new file mode 100644
index 0000000000..851c3218b1
--- /dev/null
+++ b/community/libftdi1/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Stefan Wagner <stw@bit-strickerei.de>
+# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
+pkgname=libftdi1
+pkgver=1.3
+pkgrel=0
+pkgdesc="A library to talk to FTDI chips"
+url="http://www.intra2net.com/en/developer/libftdi/download.php"
+arch="all"
+license="LGPL2, GPL2"
+makedepends="cmake doxygen swig libusb-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.intra2net.com/en/developer/libftdi/download/${pkgname}-${pkgver}.tar.bz2
+ 01-CMakeLists-no-lib-suffix.patch"
+
+builddir="$srcdir/${pkgname}-${pkgver}"
+build() {
+ mkdir "$builddir/build" || return 1
+ cd "$builddir/build"
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_BUILD_RPATH=ON \
+ -DCMAKE_BUILD_TYPE=Release -DEXAMPLES=OFF -DFTDI_EEPROM=ON .. || return 1
+ make
+}
+
+package() {
+ cd "$builddir/build"
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 ../packages/99-libftdi.rules "$pkgdir"/usr/lib/udev/rules.d/99-libftdi.rules || return 1
+ mkdir -p "$pkgdir"/usr/share/doc/$pkgname/ "$pkgdir"/usr/share/man/man3/ || return 1
+ install -m644 doc/html/* "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+ install -m644 doc/man/man3/ftdi_eeprom.3 "$pkgdir"/usr/share/man/man3/ || return 1
+}
+
+md5sums="156cdf40cece9f8a3ce1582db59a502a libftdi1-1.3.tar.bz2
+de07c454042cd2d943c6495e4680d869 01-CMakeLists-no-lib-suffix.patch"
+sha256sums="9a8c95c94bfbcf36584a0a58a6e2003d9b133213d9202b76aec76302ffaa81f4 libftdi1-1.3.tar.bz2
+8a2a7524917c8b6a11792baaeac5a6ad41715a0cb0fd739637ce21e5b770bbf2 01-CMakeLists-no-lib-suffix.patch"
+sha512sums="792aa5ecb42cb219fb0230d7b68d1b0370fd28e7dc30f28900a23199b1067812616cd9f4f8492cddb1314d0515cd87d67a045354184b611e647ef9c33fc7932a libftdi1-1.3.tar.bz2
+5583fcb66414d9668bcbff0ad8a688f419414040b9480e24edde8de9f0fecb4bf4e06db7bfb0b7542fd44eff712ad7f72c8c32b5dc27885c26f1707b06485f1b 01-CMakeLists-no-lib-suffix.patch"